package com.qmth.qrzk.dao;

import java.sql.SQLException;
import java.util.List;

import com.qmth.qrzk.repository.service.query.UserQueryParams;
import com.qmth.qrzk.repository.user.model.Role;
import com.qmth.qrzk.repository.user.model.UserRole;

/**
 * 角色接口,提供一系列的角色增删查改接口
 * @author zhonghui
 *
 */
public interface IRoleDao {
	
	public List<UserRole> selectRoleIdsByUserId(int userId);
	
	public List<Role> getRoleIds(List<Integer> ls) throws SQLException;
	
	public List<Role> getRolesByUserId(int userId) throws SQLException;
	
	public List<Role> getAllRoles(UserQueryParams params) throws SQLException;
	
	public int getAllRolesCount(UserQueryParams params);
	
	public void insert(UserRole userRole);
	
	public void delUserRoleByUserId(int user_id);
	
	public List<UserRole> findSECRETARYUserId();
	
	public void addLinkRole(List<UserRole> list);
}
